## neutron-vpnaas 7.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6

requests>=2.5.2
Jinja2>=2.6 # BSD License (3 clause)
netaddr!=0.7.16,>=0.7.12
SQLAlchemy<1.1.0,>=0.9.9
alembic>=0.8.0
six>=1.9.0
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.config>=2.3.0 # Apache-2.0
oslo.db>=2.4.1 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0

# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron#egg=neutron

=== debian/changelog ===
neutron-vpnaas (2:7.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 16:45:29 -0400

neutron-vpnaas (2:7.0.0~rc3-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.
  * d/control: Align dependencies with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Oct 2015 11:24:09 -0400

neutron-vpnaas (2:7.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Oct 2015 09:55:34 -0400

neutron-vpnaas (2:7.0.0~rc1-0ubuntu1) wily; urgency=medium

  * d/watch: Update to cope with upstream rc versioning.
  * New upstream release candidate for OpenStack Liberty.
  * d/rules: Drop removal of .eggs directory in override_dh_auto_clean.
  * d/control: Bump minimum pbr version to 1.8.
  * d/control: Align dependencies with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Sep 2015 14:23:07 -0400

neutron-vpnaas (2:7.0.0~b3-0ubuntu2) wily; urgency=medium

  * Move neutron_vpnaas.conf to python-neutron-vpnaas package so its
    usable by neutron-server as well.

 -- James Page <james.page@ubuntu.com>  Mon, 14 Sep 2015 16:25:01 +0100

neutron-vpnaas (2:7.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 16:01:36 -0400

neutron-vpnaas (2:7.0.0~b2-0ubuntu1) wily; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

  [ James Page ]
  * d/control: Re-align runtime dependencies with neutron-l3-agent
    (LP: #1477367).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 19 Aug 2015 14:49:37 -0400

neutron-vpnaas (2:7.0.0~b1-0ubuntu3) wily; urgency=medium

  * d/neutron-vpn-agent.install: Install neutron-vpn-netns-wrapper 
    (LP: #1456335).
  * d/control: Add runtime dependency on conntrack (LP: #1447803).

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 12:17:18 +0100

neutron-vpnaas (2:7.0.0~b1-0ubuntu2) wily; urgency=medium

  * Switch neutron-common -> python-neutron as BD for testing.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 11:54:17 +0100

neutron-vpnaas (2:7.0.0~b1-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * Align (build-)depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 29 Jun 2015 10:16:18 +0100

neutron-vpnaas (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744) 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 30 Apr 2015 18:32:31 +0200

neutron-vpnaas (1:2015.1~rc1-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release.
    - d/control: Align version requirements with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 10 Apr 2015 10:27:42 -0400

neutron-vpnaas (1:2015.1~b3-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release:
    - d/control: Align version requirements with upstream, add new dependency
      on python-oslo-log.
  * Enable unit test suite execution:
    - d/control: Switch BD on python-neutron -> neutron-common.
    - d/rules: Enable execution of unit tests.
  * d/control: Add runtime dependency on python-neutron-fwaas.
  * d/control: Add runtime dependency on strongswan, with fallback to openswan
    to ensure that any openswan deployments on 14.04 don't get broken during
    upgrades.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2015 11:20:04 +0100

neutron-vpnaas (1:2015.1~b2-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - d/control: Update/align dependencies with upstream.
    - d/neutron-vpn-agent: Install rootwrap filters and vpnaas specific
      configuration files.

 -- James Page <james.page@ubuntu.com>  Mon, 16 Feb 2015 14:17:35 +0000

neutron-vpnaas (1:2015.1~b1-0ubuntu5) vivid; urgency=medium

  * d/copyright: Update reference for Format field.
  * d/control: Add ${python:Depends} to python-neutron-vpnaas package. 

 -- James Page <james.page@ubuntu.com>  Tue, 20 Jan 2015 10:03:27 +0000

neutron-vpnaas (1:2015.1~b1-0ubuntu4) vivid; urgency=medium

  * Initial release for OpenStack Kilo-1 milestone.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Jan 2015 11:23:12 +0000

=== debian/control ===
Source: neutron-vpnaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     python-coverage (>= 3.6),
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-jinja2 (>= 2.6),
                     python-mock (>= 1.2),
                     python-netaddr (>= 0.7.12),
                     python-neutron (>= 2:7.0.0~b1),
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.7.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-requests (>= 2.5.2),
                     python-requests-mock (>= 0.6.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 0.9.9),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-vpnaas
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-vpnaas
Homepage: http://github.com/openstack/neutron-vpnaas

Package: python-neutron-vpnaas
Architecture: all
Depends: alembic (>= 0.8.0),
         python-jinja2 (>= 2.6),
         python-netaddr (>= 0.7.12),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.log (>= 1.8.0),
         python-oslo.messaging (>= 1.16.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service (>= 0.7.0),
         python-oslo.utils (>= 2.0.0),
         python-requests (>= 2.5.2),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.9),
         ${misc:Depends},
         ${python:Depends},
Breaks: neutron-vpn-agent (<< 2:7.0.0~b3-0ubuntu2~),
Replaces: neutron-vpn-agent (<< 2:7.0.0~b3-0ubuntu2~),
Description: VPN-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provices the VPN-as-a-Service driver for Neutron.

Package: neutron-vpn-agent
Architecture: all
Depends: conntrack,
         iputils-arping,
         keepalived,
         neutron-common,
         neutron-metadata-agent,
         python-neutron-fwaas,
         python-neutron-vpnaas (= ${source:Version}),
         radvd,
         strongswan (>= 5.1) | openswan,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Conflicts: neutron-l3-agent,
Breaks: neutron-common (<< 1:2015.1~b1-0ubuntu4~),
Replaces: neutron-common (<< 1:2015.1~b1-0ubuntu4~),
Description: Neutron is a virtual network service for Openstack - VPN agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the VPN agent, which also provides L3 agent support.

## neutron-vpnaas 7.1.1

=== debian/changelog ===
neutron-vpnaas (2:7.1.1-0ubuntu1) wily; urgency=medium

  * New upstream stable point release for OpenStack Liberty (LP: #1594867).

 -- David Della Vecchia <ddv@canonical.com>  Tue, 21 Jun 2016 15:00:59 -0400

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,systemd --buildsystem=python_distutils

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
	TEMP_REZ=`mktemp -t` && \
	testr run --subunit neutron_vpnaas.tests.unit | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ ;
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository
	rm -f debian/*.upstart debian/*.init debian/*.service

## neutron-vpnaas 7.2.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # process, which may cause wedges in the gate later.
 pbr>=1.6
 
-requests>=2.5.2
+requests!=2.8.0,!=2.9.0,>=2.5.2
 Jinja2>=2.6 # BSD License (3 clause)
 netaddr!=0.7.16,>=0.7.12
 SQLAlchemy<1.1.0,>=0.9.9
@@ -13,10 +13,10 @@
 oslo.config>=2.3.0 # Apache-2.0
 oslo.db>=2.4.1 # Apache-2.0
 oslo.log>=1.8.0 # Apache-2.0
-oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
+oslo.messaging!=1.17.0,!=1.17.1,!=2.6.0,!=2.6.1,!=2.7.0,!=2.8.0,!=2.8.1,!=2.9.0,!=3.1.0,>=1.16.0 # Apache-2.0
 oslo.serialization>=1.4.0 # Apache-2.0
 oslo.service>=0.7.0 # Apache-2.0
-oslo.utils>=2.0.0 # Apache-2.0
+oslo.utils!=2.6.0,>=2.0.0 # Apache-2.0
 
 # This project does depend on neutron as a library, but the
 # openstack tooling does not play nicely with projects that

=== debian/changelog ===
neutron-vpnaas (2:7.2.0-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream stable point release for OpenStack Liberty (LP: #1619452).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Oct 2016 13:56:09 -0400

neutron-vpnaas (2:7.1.1-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 29 Jun 2016 21:30:50 +0000

## neutron-vpnaas 8.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0

requests!=2.9.0,>=2.8.1 # Apache-2.0
Jinja2>=2.8 # BSD License (3 clause)
netaddr!=0.7.16,>=0.7.12 # BSD
SQLAlchemy<1.1.0,>=1.0.10 # MIT
alembic>=0.8.0 # MIT
six>=1.9.0 # MIT
neutron-lib>=0.0.1 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0

# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron#egg=neutron

=== neutron_vpnaas/tests/functional/requirements.txt ===
# Additional requirements for functional tests

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

psutil>=1.1.1,<2.0.0
psycopg2
PyMySQL>=0.6.2  # MIT License

=== debian/changelog ===
neutron-vpnaas (1:8.0.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Aug 2016 08:39:17 +0000

neutron-vpnaas (1:8.0.0-2) unstable; urgency=medium

  * neutron-vpnaas-agent depends on neutron-vpnaas-common (new package), itself
    depending on python-neutron-vpnaas, preparing the transition to Python 3
    (Closes: #828151).
  * Also packages /usr/bin/* files correctly (Closes: #828153).
  * Standards-Version is now 3.9.8 (no change).
  * Added a neutron-vpnaas-vyatta-agent package to support the Brocade Vyatta
    routers with VPN.
  * Fixed debian/copyright holders.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Jun 2016 14:47:46 +0000

neutron-vpnaas (1:8.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Now using oslo-config-generator to build config files.
  * Standards-Version: 3.9.7 (no change).
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Apr 2016 13:04:13 +0200

neutron-vpnaas (1:7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Oct 2015 15:24:20 +0000

neutron-vpnaas (1:7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Sep 2015 22:39:04 +0200

neutron-vpnaas (2015.1.0-3) unstable; urgency=medium

  * Allow running with SQLA 1.0.6.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Jul 2015 03:10:18 +0000

neutron-vpnaas (2015.1.0-2) unstable; urgency=medium

  * Added Breaks: + Replaces: neutron-common (<< 2015.1.0) (Closes: #787908).
  * Fixed short description (Closes: #787518).

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Jun 2015 17:48:11 +0200

neutron-vpnaas (2015.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #783591)

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Mar 2015 16:02:15 +0100

=== debian/control ===
Source: neutron-vpnaas
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 51~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     python-coverage,
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.10.0),
                     python-jinja2 (>= 2.8),
                     python-mock (>= 1.3),
                     python-mysqldb,
                     python-netaddr (>= 0.7.12),
                     python-neutron (>= 1:8.0.0~rc1),
                     python-neutron-lib,
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-psycopg2 (>= 2.5),
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.12),
                     python-tempest-lib (>= 0.14.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-webob,
                     python-webtest,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Homepage: https://github.com/openstack/neutron-vpnaas
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/neutron-vpnaas.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/neutron-vpnaas.git

Package: python-neutron-vpnaas
Architecture: all
Section: python
Breaks: neutron-vpnaas-agent (<< 1:8.0.0-2~),
        python-neutron (<< 2015.1.0),
Replaces: neutron-vpnaas-agent (<< 1:8.0.0-2~),
          python-neutron (<< 2015.1.0),
Depends: alembic (>= 0.8.0),
         python-jinja2 (>= 2.8),
         python-netaddr (>= 0.7.12),
         python-neutron (>= 1:7.0.0~rc1),
         python-neutron-lib,
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.12),
         ${misc:Depends},
         ${python:Depends},
Recommends: iputils-arping,
Provides: ${python:Provides},
Description: OpenStack virtual network service - Python library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python library.

Package: neutron-vpnaas-common
Architecture: all
Breaks: neutron-vpnaas-agent (<< 1:8.0.0-2~),
        python-neutron (<< 2015.1.0),
Replaces: neutron-vpnaas-agent (<< 1:8.0.0-2~),
          python-neutron (<< 2015.1.0),
Depends: python-neutron-vpnaas (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: OpenStack virtual network service - VPNaaS common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron VPNaaS common files like configuration.

Package: neutron-vpnaas-agent
Architecture: all
Breaks: neutron-common (<< 2015.1.0),
Replaces: neutron-common (<< 2015.1.0),
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common,
         neutron-vpnaas-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: OpenStack virtual network service - VPNaaS agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the VPNaaS agent.

Package: neutron-vpnaas-vyatta-agent
Architecture: all
Breaks: neutron-common (<< 2015.1.0),
Replaces: neutron-common (<< 2015.1.0),
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common,
         neutron-vpnaas-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: OpenStack virtual network service - VPNaaS Vyatta Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the VPNaaS Vyatta agent. The  Brocade Vyatta VPN plugin
 provides VPNaaS solution using Brocade Vyatta vRouter VM running as a Neutron
 router. The plugin implements IPSec Site-to-Site tunnel to connect tenant
 private networks to remote networks using vRouter VM.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
UPSTREAM_GIT = git://github.com/openstack/neutron-vpnaas.git


%:
	dh $@ --buildsystem=python_distutils --with python2,systemd

override_dh_auto_install:
	echo "Do nothing"

override_dh_install:
	python setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp

	mkdir -p $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/vpn_agent.ini \
		--wrap-width 140 \
		--namespace neutron.vpnaas.agent

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/neutron_vpnaas.conf \
		--wrap-width 140 \
		--namespace neutron.vpnaas

	rm -r $(CURDIR)/debian/tmp/usr/etc

	dh_install --fail-missing
	mv $(CURDIR)/debian/python-neutron-vpnaas/usr/bin/neutron-vpn-agent $(CURDIR)/debian/python-neutron-vpnaas/usr/bin/python2-neutron-vpn-agent
	mv $(CURDIR)/debian/python-neutron-vpnaas/usr/bin/neutron-vpn-netns-wrapper $(CURDIR)/debian/python-neutron-vpnaas/usr/bin/python2-neutron-vpn-netns-wrapper
	mv $(CURDIR)/debian/python-neutron-vpnaas/usr/bin/neutron-vyatta-agent $(CURDIR)/debian/python-neutron-vpnaas/usr/bin/python2-neutron-vyatta-agent

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit neutron_vpnaas.tests.unit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_clean:
	dh_clean
	find . -type f -name "*.pyc" -delete
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## neutron-vpnaas 8.2.0

=== requirements.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 alembic>=0.8.0 # MIT
 six>=1.9.0 # MIT
 neutron-lib>=0.0.1 # Apache-2.0
-oslo.concurrency>=3.5.0 # Apache-2.0
+oslo.concurrency>=3.7.1 # Apache-2.0
 oslo.config>=3.7.0 # Apache-2.0
 oslo.db>=4.1.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0

=== debian/changelog ===
neutron-vpnaas (2:8.2.0-0ubuntu1) xenial; urgency=medium

  * New upstream stable point release for OpenStack Mitaka (LP: #1619318).
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Tue, 27 Sep 2016 08:52:32 -0400

neutron-vpnaas (2:8.1.2-0ubuntu1) xenial; urgency=medium

  [ James Page ]
  * d/p/*: Drop - no longer needed as patch upstream.

  [ David Della Vecchia ]
  * New upstream point release for OpenStack Mitaka (LP: #1591248).

  [ Corey Bryant ]
  * d/rules: Switch to using ostestr for unit test execution to avoid races.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Jun 2016 14:47:09 -0400

neutron-vpnaas (2:8.1.0-0ubuntu0.16.04.2) xenial; urgency=medium

  [ David Della Vecchia ]
  * New upstream point release for OpenStack Mitaka (LP: #1580674).

  [ Corey Bryant ]
  * d/changelog: Change package version to 2:8.1.0-0ubuntu0.16.04.1 in order
    to not conflict with yakkety version 2:8.1.0-0ubuntu1.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 May 2016 08:14:32 -0400

neutron-vpnaas (2:8.0.0-0ubuntu2) xenial; urgency=medium

  * d/p/fix-nullable-pk.patch: Fix issue with migration step that attempts
    to set the default for a primary key to NULL; MySQL 5.7 errors on this
    as its much stricter as of 5.7.3 (LP: #1567899).

 -- James Page <james.page@ubuntu.com>  Fri, 08 Apr 2016 13:24:24 +0100

neutron-vpnaas (2:8.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.
  * d/control: Set min python-neutron BD to 2:8.0.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 15:55:48 -0400

neutron-vpnaas (2:8.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 09:40:43 -0400

neutron-vpnaas (2:8.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/rules: Generate config files with generate_config_file_samples.sh.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 27 Jan 2016 10:51:39 +0100

neutron-vpnaas (2:8.0.0~b1-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Dec 2015 10:35:28 -0500

=== debian/control ===
Source: neutron-vpnaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     python-coverage (>= 3.6),
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-jinja2 (>= 2.8),
                     python-mock (>= 1.2),
                     python-netaddr (>= 0.7.12),
                     python-neutron (>= 2:8.0.0),
                     python-neutron-lib (>= 0.0.1),
                     python-os-testr (>= 0.4.1),
                     python-oslo.concurrency (>= 3.7.1),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-vpnaas
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-vpnaas
Homepage: http://github.com/openstack/neutron-vpnaas

Package: python-neutron-vpnaas
Architecture: all
Depends: alembic (>= 0.8.0),
         python-jinja2 (>= 2.8),
         python-netaddr (>= 0.7.12),
         python-neutron-lib (>= 0.0.1),
         python-oslo.concurrency (>= 3.7.1),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         ${misc:Depends},
         ${python:Depends},
Breaks: neutron-vpn-agent (<< 2:7.0.0~b3-0ubuntu2~),
Replaces: neutron-vpn-agent (<< 2:7.0.0~b3-0ubuntu2~),
Description: VPN-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provices the VPN-as-a-Service driver for Neutron.

Package: neutron-vpn-agent
Architecture: all
Depends: conntrack,
         iputils-arping,
         keepalived,
         neutron-common,
         neutron-metadata-agent,
         python-neutron-fwaas,
         python-neutron-vpnaas (= ${source:Version}),
         radvd,
         strongswan (>= 5.1) | openswan,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Conflicts: neutron-l3-agent,
Breaks: neutron-common (<< 1:2015.1~b1-0ubuntu4~),
Replaces: neutron-common (<< 1:2015.1~b1-0ubuntu4~),
Description: Neutron is a virtual network service for Openstack - VPN agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the VPN agent, which also provides L3 agent support.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,systemd --buildsystem=python_distutils

override_dh_install:
	PYTHONPATH=$(CURDIR) $(CURDIR)/tools/generate_config_file_samples.sh
	find $(CURDIR)/etc -type f | xargs rename 's/\.sample$$//'
	dh_install

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	ostestr
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository
	rm -f debian/*.upstart debian/*.init debian/*.service

## neutron-vpnaas 9.0.0~b3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0

requests>=2.10.0 # Apache-2.0
Jinja2>=2.8 # BSD License (3 clause)
netaddr!=0.7.16,>=0.7.12 # BSD
SQLAlchemy<1.1.0,>=1.0.10 # MIT
alembic>=0.8.4 # MIT
six>=1.9.0 # MIT
neutron-lib>=0.4.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.db>=4.10.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0

# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron#egg=neutron

=== debian/changelog ===
neutron-vpnaas (2:9.0.0~b3-1+41~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 20 Sep 2016 16:04:22 +0000

neutron-vpnaas (2:9.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Sep 2016 15:25:19 +0200

neutron-vpnaas (2:9.0.0~b2-1) experimental; urgency=medium

  [ Ivan Udovichenko ]
  * Fix (build-)dependencies.
  * Raise epoch to stay in sync with Ubuntu.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jul 2016 14:27:40 +0200

=== debian/control ===
Source: neutron-vpnaas
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 51~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx (>= 1.2.1),
Build-Depends-Indep: alembic (>= 0.8.0),
                     python-astroid,
                     python-coverage (>= 3.6),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-jinja2 (>= 2.8),
                     python-mock (>= 2.0),
                     python-mysqldb,
                     python-netaddr (>= 0.7.12),
                     python-neutron (>= 1:9.0.0~b3),
                     python-neutron-lib (>= 0.4.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.db (>= 4.10.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-psycopg2 (>= 2.5),
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.12),
                     python-tempest (>= 1:12.1.0),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0),
                     subunit,
                     tempest (>= 1:12.1.0),
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-neutron-vpnaas
Vcs-Git: https://git.openstack.org/openstack/deb-neutron-vpnaas
Homepage: https://github.com/openstack/neutron-vpnaas

Package: python-neutron-vpnaas
Architecture: all
Section: python
Breaks: neutron-vpnaas-agent (<< 1:8.0.0-2~),
        python-neutron (<< 2015.1.0),
Replaces: neutron-vpnaas-agent (<< 1:8.0.0-2~),
          python-neutron (<< 2015.1.0),
Depends: alembic (>= 0.8.0),
         python-jinja2 (>= 2.8),
         python-netaddr (>= 0.7.12),
         python-neutron (>= 1:9.0.0~b3),
         python-neutron-lib (>= 0.4.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.db (>= 4.10.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.12),
         ${misc:Depends},
         ${python:Depends},
Recommends: iputils-arping,
Provides: ${python:Provides},
Description: OpenStack virtual network service - Python library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python library.

Package: neutron-vpnaas-common
Architecture: all
Breaks: neutron-vpnaas-agent (<< 1:8.0.0-2~),
        python-neutron (<< 2015.1.0),
Replaces: neutron-vpnaas-agent (<< 1:8.0.0-2~),
          python-neutron (<< 2015.1.0),
Depends: python-neutron-vpnaas (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: OpenStack virtual network service - VPNaaS common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron VPNaaS common files like configuration.

Package: neutron-vpnaas-agent
Architecture: all
Breaks: neutron-common (<< 2015.1.0),
Replaces: neutron-common (<< 2015.1.0),
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common,
         neutron-vpnaas-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: OpenStack virtual network service - VPNaaS agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the VPNaaS agent.

Package: neutron-vpnaas-vyatta-agent
Architecture: all
Breaks: neutron-common (<< 2015.1.0),
Replaces: neutron-common (<< 2015.1.0),
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common,
         neutron-vpnaas-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: OpenStack virtual network service - VPNaaS Vyatta Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the VPNaaS Vyatta agent. The  Brocade Vyatta VPN plugin
 provides VPNaaS solution using Brocade Vyatta vRouter VM running as a Neutron
 router. The plugin implements IPSec Site-to-Site tunnel to connect tenant
 private networks to remote networks using vRouter VM.

## neutron-vpnaas 9.0.0~rc1

=== debian/changelog ===
neutron-vpnaas (2:9.0.0~rc1-1+42~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Wed, 28 Sep 2016 09:04:14 +0000

neutron-vpnaas (2:9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * d/control: Use correct branch in Vcs-* fields.
  * Fixed oslotest EPOCH.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Sep 2016 15:25:19 +0200

=== debian/control ===
--- 
+++ 
@@ -27,11 +27,12 @@
                      python-oslo.db (>= 4.10.0),
                      python-oslo.log (>= 1.14.0),
                      python-oslo.messaging (>= 5.2.0),
+                     python-oslo.reports (>= 0.6.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
                      python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-psycopg2 (>= 2.5),
                      python-requests (>= 2.10.0),
                      python-requests-mock (>= 1.0),
@@ -47,8 +48,8 @@
                      tempest (>= 1:12.1.0),
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-neutron-vpnaas
-Vcs-Git: https://git.openstack.org/openstack/deb-neutron-vpnaas
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-neutron-vpnaas?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-neutron-vpnaas -b debian/newton
 Homepage: https://github.com/openstack/neutron-vpnaas
 
 Package: python-neutron-vpnaas
@@ -68,6 +69,7 @@
          python-oslo.db (>= 4.10.0),
          python-oslo.log (>= 1.14.0),
          python-oslo.messaging (>= 5.2.0),
+         python-oslo.reports (>= 0.6.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
          python-oslo.utils (>= 3.16.0),

## neutron-vpnaas 9.0.0

=== requirements.txt ===
--- 
+++ 
@@ -5,16 +5,17 @@
 
 requests>=2.10.0 # Apache-2.0
 Jinja2>=2.8 # BSD License (3 clause)
-netaddr!=0.7.16,>=0.7.12 # BSD
+netaddr!=0.7.16,>=0.7.13 # BSD
 SQLAlchemy<1.1.0,>=1.0.10 # MIT
 alembic>=0.8.4 # MIT
 six>=1.9.0 # MIT
 neutron-lib>=0.4.0 # Apache-2.0
 oslo.concurrency>=3.8.0 # Apache-2.0
 oslo.config>=3.14.0 # Apache-2.0
-oslo.db>=4.10.0 # Apache-2.0
+oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
 oslo.messaging>=5.2.0 # Apache-2.0
+oslo.reports>=0.6.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
 oslo.service>=1.10.0 # Apache-2.0
 oslo.utils>=3.16.0 # Apache-2.0

=== debian/changelog ===
neutron-vpnaas (2:9.0.0-3) unstable; urgency=medium

  * Team upload.
  * Bumped debhelper compat version to 10
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2017 11:47:48 +0100

neutron-vpnaas (2:9.0.0-2) unstable; urgency=medium

  * Fixed init script to correctly load /etc/neutron/vpn_agent.ini
    (Closes: #828153).

 -- Thomas Goirand <zigo@debian.org>  Sat, 08 Oct 2016 17:54:05 +0200

neutron-vpnaas (2:9.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 18:18:34 +0200

neutron-vpnaas (2:9.0.0~rc1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * d/control: Use correct branch in Vcs-* fields.
  * Fixed oslotest EPOCH.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Sep 2016 15:25:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd,
                openstack-pkg-tools (>= 51~),
